# Uses of Interface
org.eclipse.equinox.p2.core.IProvisioningAgent

Packages that use IProvisioningAgent
Package
Description
org.eclipse.equinox.p2.core
Provides core support for interacting with a p2-based provisioning system
org.eclipse.equinox.p2.core.spi
Provides API for customizing and extending a p2-based provisioning system
org.eclipse.equinox.p2.engine
Provides support for interacting with the p2 provisioning engine
org.eclipse.equinox.p2.operations
Describes high level provisioning operations that can be resolved and performed either modally or in the background.
org.eclipse.equinox.p2.repository
Defines common API for querying and modifying provisioning repositories.
org.eclipse.equinox.p2.repository.artifact.spi
Defines SPI for registering new implementations of artifact repositories.
org.eclipse.equinox.p2.repository.metadata.spi
Defines SPI for registering new implementations of metadata repositories.
org.eclipse.equinox.p2.repository.spi
Defines common types for handling repositories.

## Uses of IProvisioningAgent in org.eclipse.equinox.p2.core

Methods in org.eclipse.equinox.p2.core that return IProvisioningAgent
Modifier and Type
Method
Description
`IProvisioningAgent`
IProvisioningAgentProvider.`createAgent(URI location)`
Creates a provisioning agent who metadata is stored at the given location.

## Uses of IProvisioningAgent in org.eclipse.equinox.p2.core.spi

Methods in org.eclipse.equinox.p2.core.spi with parameters of type IProvisioningAgent
Modifier and Type
Method
Description
`Object`
IAgentServiceFactory.`createService(IProvisioningAgent agent)`
Instantiates a service instance for the given provisioning agent.

## Uses of IProvisioningAgent in org.eclipse.equinox.p2.engine

Methods in org.eclipse.equinox.p2.engine that return IProvisioningAgent
Modifier and Type
Method
Description
`IProvisioningAgent`
IProfile.`getProvisioningAgent()`
Returns the provisioning agent that manages this profile
Constructors in org.eclipse.equinox.p2.engine with parameters of type IProvisioningAgent
Modifier
Constructor
Description
``
`ProvisioningContext(IProvisioningAgent agent)`
Creates a new provisioning context that includes all available metadata and artifact repositories available to the specified provisioning agent.

## Uses of IProvisioningAgent in org.eclipse.equinox.p2.operations

Methods in org.eclipse.equinox.p2.operations that return IProvisioningAgent
Modifier and Type
Method
Description
`IProvisioningAgent`
ProvisioningSession.`getProvisioningAgent()`
Return the provisioning agent used to retrieve provisioning services.
Constructors in org.eclipse.equinox.p2.operations with parameters of type IProvisioningAgent
Modifier
Constructor
Description
``
`ProvisioningSession(IProvisioningAgent agent)`
Create a provisioning session using the services of the supplied agent.

## Uses of IProvisioningAgent in org.eclipse.equinox.p2.repository

Methods in org.eclipse.equinox.p2.repository that return IProvisioningAgent
Modifier and Type
Method
Description
`IProvisioningAgent`
IRepositoryManager.`getAgent()`
Returns the provisioning agent in charge of this repository manager
`IProvisioningAgent`
IRepository.`getProvisioningAgent()`
Returns the provisioning agent that manages this repository

## Uses of IProvisioningAgent in org.eclipse.equinox.p2.repository.artifact.spi

Methods in org.eclipse.equinox.p2.repository.artifact.spi that return IProvisioningAgent
Modifier and Type
Method
Description
`protected IProvisioningAgent`
ArtifactRepositoryFactory.`getAgent()`
Returns the provisioning agent associated with this factory, or `null` if this factory is not associated with an agent.
Methods in org.eclipse.equinox.p2.repository.artifact.spi with parameters of type IProvisioningAgent
Modifier and Type
Method
Description
`void`
ArtifactRepositoryFactory.`setAgent(IProvisioningAgent agent)`
Sets the provisioning agent associated with this repository factory.
Constructors in org.eclipse.equinox.p2.repository.artifact.spi with parameters of type IProvisioningAgent
Modifier
Constructor
Description
`protected`
`AbstractArtifactRepository(IProvisioningAgent agent, String name, String type, String version, URI location, String description, String provider, Map<String,String> properties)`

## Uses of IProvisioningAgent in org.eclipse.equinox.p2.repository.metadata.spi

Methods in org.eclipse.equinox.p2.repository.metadata.spi that return IProvisioningAgent
Modifier and Type
Method
Description
`protected IProvisioningAgent`
MetadataRepositoryFactory.`getAgent()`
Returns the provisioning agent associated with this factory, or `null` if this factory is not associated with an agent.
Methods in org.eclipse.equinox.p2.repository.metadata.spi with parameters of type IProvisioningAgent
Modifier and Type
Method
Description
`void`
MetadataRepositoryFactory.`setAgent(IProvisioningAgent agent)`
Sets the provisioning agent associated with this repository factory.
Constructors in org.eclipse.equinox.p2.repository.metadata.spi with parameters of type IProvisioningAgent
Modifier
Constructor
Description
``
`AbstractMetadataRepository(IProvisioningAgent agent)`
Creates a new metadata repository that uses the provided agent.
`protected`
`AbstractMetadataRepository(IProvisioningAgent agent, String name, String type, String version, URI location, String description, String provider, Map<String,String> properties)`
Creates a new metadata repository with the provided repository information

## Uses of IProvisioningAgent in org.eclipse.equinox.p2.repository.spi

Methods in org.eclipse.equinox.p2.repository.spi that return IProvisioningAgent
Modifier and Type
Method
Description
`IProvisioningAgent`
AbstractRepository.`getProvisioningAgent()`
Returns the provisioning agent used by this repository
Constructors in org.eclipse.equinox.p2.repository.spi with parameters of type IProvisioningAgent
Modifier
Constructor
Description
`protected`
`AbstractRepository(IProvisioningAgent agent, String name, String type, String version, URI location, String description, String provider, Map<String,String> properties)`
Creates a new repository with the given attributes.